{% extends "base.html.twig" %}
{% trans_default_domain 'FOSUserBundle' %}
{% block title %} Sayara - S'inscrire {% endblock %}
{% block registeractive %} class="active" {% endblock %}
{% block javascripts %}
    <script type="text/javascript">
        var placeSearch, autocomplete;
        var componentForm = {
            //street_number: 'short_name',
            route: 'long_name',
            locality: 'long_name',
            administrative_area_level_1: 'short_name',
            country: 'long_name',
            postal_code: 'short_name'
        };
        var componentFormRef = {
            //street_number: '',
            route: '{{ form.address.children.street.vars.id }}',
            locality: '{{ form.address.children.city.vars.id }}',
            administrative_area_level_1: '{{ form.address.children.state.vars.id }}',
            country: '{{ form.address.children.country.vars.id }}',
            postal_code: '{{ form.address.children.zipCode.vars.id }}',
        };

        function initAutocomplete() {
            // Create the autocomplete object, restricting the search to geographical
            // location types.
            autocomplete = new google.maps.places.Autocomplete(
                /** @type {!HTMLInputElement} */
                (document.getElementById('{{ form.address.vars.id}}')),
                {types: ['geocode'], componentRestrictions: {country: "tn"}});

            autocomplete.addListener('place_changed', fillInAddress);

            /** Clear values when typing */
            $('#{{ form.address.vars.id}}').on('keydown', function (event){
                if (event.which == 13) {
                    event.preventDefault();
                } else {
                    for (var component in componentForm) {
                        document.getElementById(componentFormRef[component]).value = '';
                    }
                }
            });
        }

        // [START region_fillform]
        function fillInAddress() {
            // Get the place details from the autocomplete object.
            var place = autocomplete.getPlace();
            document.getElementById('{{ form.address.children.latitude.vars.id}}').value=place.geometry.location.lat();
            document.getElementById('{{ form.address.children.longitude.vars.id}}').value=place.geometry.location.lng();
            console.log(place.geometry.location.lat()+""+place.geometry.location.lng());
            for (var component in componentForm) {
                document.getElementById(componentFormRef[component]).value = '';
                document.getElementById(componentFormRef[component]).disabled = false;
            }
            ;
            // Get each component of the address from the place details
            // and fill the corresponding field on the form.
            for (var i = 0; i < place.address_components.length; i++) {
                var addressType = place.address_components[i].types[0];
                if (componentForm[addressType]) {
                    var val = place.address_components[i][componentForm[addressType]];
                    document.getElementById(componentFormRef[addressType]).value = val;
                }
            }
        }

        function geolocate() {
            if (navigator.geolocation) {
                navigator.geolocation.getCurrentPosition(function(position) {
                    var geolocation = {
                        lat: position.coords.latitude,
                        lng: position.coords.longitude
                    };
                    var circle = new google.maps.Circle({
                        center: geolocation,
                        radius: position.coords.accuracy
                    });
                    autocomplete.setBounds(circle.getBounds());
                });
            }
        }

        initAutocomplete();
    </script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAXnYfQUIpgpt9eTd_5VErZLA5-IgoB5eA&signed_in=true&libraries=places&callback=initAutocomplete"
            async defer></script>
{% endblock%}

{% block body %}
    {% include "_header.html.twig" %}
    <div class="main-container">
        <div class="container">
            <div class="row">
                <div class="col-md-8 page-content">
                    <div class="inner-box category-content" style="background-color: #fff">
                        <h2 class="title-2"><i class="icon-user-add"></i> Créer un Compte, C'est Gratuit ! </h2>
                        <div class="row">
                            <div class="col-sm-12">
                                {% for label, messages in app.flashes %}

                                    {% for message in messages %}
                                        <div class="alert alert-{{ label }}" role="{{ label }}">
                                            {{ message }}
                                        </div>
                                    {% endfor %}
                                {% endfor %}
                                {{ form_start(form, {'method': 'post', 'action': path('fos_user_registration_register'), 'attr': {'class': 'fos_user_registration_register form-horizontal', 'novalidate': 'novalidate' }}) }}
                                <fieldset style="border: none">
                                    <div class="form-group required">
                                        <label class="col-md-4 control-label">Vous Etes <sup>*</sup></label>
                                        <div class="col-md-6">

                                            {{ form_widget(form.roles,{'attr': {'class': 'form-control'}}) }}
                                        </div>
                                    </div>
                                    <div class="form-group required">
                                        <label class="col-md-4 control-label">Pseudo <sup>*</sup></label>
                                        <div class="col-md-6">

                                            {{ form_widget(form.username,{'attr': {'class': 'form-control input-md','placeholder':'Pseudo'}}) }}
                                            {% if form.username.vars.errors | length %}
                                            <div class="alert alert-danger" role="alert">{{ form_errors(form.username) }}</div>
                                            {% endif %}
                                        </div>

                                    </div>

                                    <div class="form-group required">
                                        <label class="col-md-4 control-label">Prénom <sup>*</sup></label>
                                        <div class="col-md-6">

                                            {{ form_widget(form.firstname,{'attr': {'class': 'form-control input-md','placeholder':'Prénom'}}) }}
                                            {% if form.firstname.vars.errors | length %}
                                            <div class="alert alert-danger" role="alert">{{ form_errors(form.firstname) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>


                                    <div class="form-group required">
                                        <label class="col-md-4 control-label">Nom <sup>*</sup></label>
                                        <div class="col-md-6">
                                            {{ form_widget(form.lastname,{'attr': {'class': 'form-control input-md','placeholder':'Nom'}}) }}
                                            {% if form.lastname.vars.errors | length %}
                                            <div class="alert alert-danger" role="alert">{{ form_errors(form.lastname) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>

                                    <div class="form-group required">
                                        <label class="col-md-4 control-label">Numéro de Mobile <sup>*</sup></label>
                                        <div class="col-md-6">
                                            {{ form_widget(form.phone,{'attr': {'class': 'form-control input-md','placeholder':'Numéro de Mobile','maxlength':'8','pattern':'[0-9]{8}'}}) }}
                                            {% if form.phone.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.phone) }}</div>
                                            {% endif %}
                                            <div class="checkbox">
                                                <label>
                                                    {{ form_widget(form.visiblePhone) }}
                                                    <small>publier mon numéro</small>
                                                </label>
                                            </div>
                                        </div>
                                    </div>


                                    <div class="form-group required">
                                        <label class="col-md-4 control-label">Gendre <sup>*</sup></label>
                                        <div class="col-md-6">
                                            <div class="radio">
                                                <label for="Gender-0">
                                                    {{ form_widget(form.gender, { 'attr': {'class': 'form-control' }}) }}
                                                    </label>
                                            </div>
                                        </div>
                                    </div>


                                    <div class="form-group required">
                                        <label for="inputEmail3" class="col-md-4 control-label">Email
                                            <sup>*</sup></label>
                                        <div class="col-md-6">
                                            {{ form_widget(form.email,{'attr': {'class': 'form-control','placeholder':'Email'}}) }}
                                            {% if form.email.vars.errors | length %}
                                            <div class="alert alert-danger" role="alert">
                                            {{ form_errors(form.email) }}
                                            </div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group required">
                                        <label class="col-md-4 control-label">Adresse <sup>*</sup></label>
                                        <div class="col-md-6">
                                            <input id="{{form.address.vars.id}}" class="autocomplete form-control" type="text" onFocus="geolocate()"
                                                   value="{% spaceless %}
                           {{ form.address.children.city.vars.value ~' '~ form.address.children.country.vars.value ~ ' ' ~ form.address.children.zipCode.vars.value ~ ' ' ~ form.address.children.street.vars.value ~ ' ' ~ form.address.children.state.vars.value }}
                             {% endspaceless %}" />

                                            {% for error in form.vars.errors %}
                                                <div class="alert alert-danger fade in margin-bottom-40">
                                                    {{ error.message|trans }}
                                                </div>
                                            {% endfor %}

                                        </div>
                                    </div>
                                    <div class="form-group required">
                                        <label for="inputPassword3" class="col-md-4 control-label">Mot de passe <sup>*</sup></label>
                                        <div class="col-md-6">
                                            {{ form_widget(form.plainPassword.first,{'attr': {'class': 'form-control','placeholder':'Mot de passe' }}) }}
                                            <h5 class="text-color-02">Vous devez choisir un mode de minimum 8 caractères</h5>
                                            {% if form.plainPassword.first.vars.value is empty and form.lastname.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">
                                                    Vous devez indiquer le mot de passe !
                                                </div>
                                            {% endif %}
                                            {% if app.request.attributes.get('_route') == 'fos_user_registration_register' %}
                                            {% if form.plainPassword.first.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">
                                                    {{ form_errors(form.plainPassword.first) }}
                                                </div>
                                            {% endif %}
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group required">
                                        <label for="inputPassword3" class="col-md-4 control-label">Confirmez votre mot de passe <sup>*</sup></label>
                                        <div class="col-md-6">
                                            {{ form_widget(form.plainPassword.second,{'attr': {'class': 'form-control','placeholder':'Confirmer Mot de passe'}}) }}

                                            {% if form.plainPassword.first.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">
                                                    {{ form_errors(form.plainPassword.first) }}
                                                </div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="imageuser" class="col-md-4 control-label">Votre Photo (Optionnel)</label>
                                        <div class="col-md-6">
                                            {{ form_widget(form.photo.path, { 'attr': {'class': 'form-control', 'required':'false' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-4 control-label"></label>
                                        <div class="col-md-8">
                                            <div class="termbox mb10">
                                                <label class="checkbox-inline" for="checkboxes-1">
                                                    {{ form_widget(form.acceptCondition) }}
                                                    j'ai lu et j'accepte  <a href="{{ path('condition-page') }}">
                                                        toutes les Conditions</a> </label>
                                            </div>
                                            {% if form.acceptCondition.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">
                                                    {{ form_errors(form.acceptCondition) }}
                                                </div>
                                            {% endif %}
                                            <div style="clear:both"></div>
                                            <button type="submit" class="btn-primary btn" style="background-color:#0a3d91;">S'inscrire</button>
                                        </div>
                                    </div>
                                </fieldset>
                                {{ form_end(form) }}

                            </div>

                        </div>
                    </div>
                </div>
                <div class="col-md-4 reg-sidebar">
                    <div class="reg-sidebar-inner text-center">
                        <div class="promo-text-box">
                            <img src="{{ asset('frontassets/images/site/app.jpg') }}" class="img-reponsive">
                        </div>
                        <div class="promo-text-box">
                            <img src="{{ asset('frontassets/images/site/app.jpg') }}" class="img-reponsive">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {% include "_footer.html.twig" %}
{% endblock %}
{% block javascript%}
    <script>
        $("#autoplus_form_register_photo_path").fileinput(
            {   'showUpload':!1,
                'allowedFileExtensions': ["jpg", "png"] ,
                'minFileSize':100,
                'maxFileSize':2200
            });
        $(document).ready(function () {
            $("#fos_user_registration_form_ville").empty();
        });

    </script>
{% endblock %}
